Bug 152269 - default using locking causes hang under nfs
Summary: default using locking causes hang under nfs
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-27 01:33 UTC by Rik van Riel
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.89-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-06 15:40:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rik van Riel 2005-03-27 01:33:22 UTC
Description of problem:

I know it sounds strange, but trying to open documents with oowriter
(openoffice.org-writer-1.9.87-2) on rawhide fails with

"General input/output error while accessing /path/to/document.doc"

The same file opens fine with another version of OOo, on another system - where
the directory is also nfs mounted.

Version-Release number of selected component (if applicable):

openoffice.org-writer-1.9.87-2

Steps to Reproduce:
1. start oowriter
2. try to open a .doc file
3. sit back in amazement

Expected results:

It would be really cool if I could use oowriter to read and write word documents.

Additional information:

Opening .sxw documents fails in the same way.

Comment 1 Caolan McNamara 2005-03-29 09:42:50 UTC
Seeing as it clearly works normally, are you only seeing this with an
nfs-mounted directory ?

Comment 2 Caolan McNamara 2005-03-29 09:46:24 UTC
http://qa.openoffice.org/issues/show_bug.cgi?id=44126 sounds similiar.

Comment 3 Caolan McNamara 2005-03-29 11:24:37 UTC
Does commenting out SAL_ENABLE_FILE_LOCKING in
/usr/lib/openoffice.org1.9.87/program/soffice make a difference ?

Comment 4 Rik van Riel 2005-03-29 12:37:55 UTC
Yes, that makes all the difference.

Setting SAL_ENABLE_FILE_LOCKING=0 still breaks, but commenting out the
SAL_ENABLE_FILE_LOCKING line (and its export) makes OOo work again over NFS...

Comment 5 Caolan McNamara 2005-03-29 15:12:53 UTC
FWIW http://go-ooo.org/lxr/source/porting/sal/osl/unx/file.cxx#633 is the
locking stuff which SAL_ENABLE_FILE_LOCKING disables, I'll see if I can
reproduce this with a local nfs setup.

Comment 6 Rik van Riel 2005-04-04 01:27:21 UTC
For the benefit of people testing FC4t2: the bug is still present in
openoffice.org-core-1.9.88-5.

Comment 7 Caolan McNamara 2005-04-05 17:13:11 UTC
I'll try and work around this in 1.9.89-4

Comment 8 Caolan McNamara 2005-04-06 15:40:50 UTC
done in 1.9.89-4 in HEAD


Note You need to log in before you can comment on or make changes to this bug.